import React, {Fragment} from 'react';
import { View } from 'react-native';

import { Resolver } from './Types';

// EventSystem

export default class Module extends React.Component{

	constructor(props) {
		super(props);
		let {
			ModuleID,
			EventSystem
		} = props;
		let eventName = ModuleID + "HitCheck"
		EventSystem && EventSystem.on(eventName, ({x,y}) => {
			return true;
		});
		this.isTemplate = false
		//console.log("GEN EV: " , eventName, EventSystem);
		this._containerStyle = {
			marginLeft: 12,
			marginRight: 12,
		}
	}
	
	componentWillMount() {

	}

	setContainerStyle(style) { 
		this._containerStyle = style;
	}

	display() {
		throw new Error("You must extend this base Module and override display method!");
	}
	render() { 
		return <View ModuleID={this.props.ModuleID} style={[{overflow:'hidden'},this._containerStyle]} MY_WRAPPER_FROM_BASE_MODULE={true}>
			{this.display()}
		</View>
		// throw new Error("You must extend this base Module and override render method!");
	}

	getProps() {
		return Resolver(this.constructor.Inputs, this.props);
	}
}