import React from 'react';
import Module from '../../lib/Module';
import { View , StyleSheet , Text} from 'react-native';
import Types from '../../lib/Types';
import {Icon} from 'react-native-elements'




export default class IconComp extends Module{
	constructor(props){
		super(props)
	}
	press(e){
		console.log("######You must over write this function@@@@@")
	}
	display(){
		return(
			<View>
			<Icon 
			name = {this.props.name}
			type = {this.props.type}
			color = {this.props.color}
			onPress = {(e) => this.press(e)}/>
			
			</View>)
	}
}


IconComp.Inputs = {
	name: new Types.Text().require().default("bookmark"),
	color: new Types.Text().require().color().default('rgba(112, 112, 112, 1)'),
	type: new Types.Text().require().default('material'),
	width: new Types.Integer().require(),
	height: new Types.Integer().require()
}